PHP 手冊
前一頁 |  | 下一頁

# ftp_alloc

(PHP 5)

ftp_alloc -- Allocates space for a file to be uploaded

## Description

bool ftp_alloc ( resource ftp_stream, int filesize [, string &result] )

Sends an ALLO command to the remote FTP server to allocate space for a file to be uploaded.

> 注: Many FTP servers do not support this command. These servers may return a failure code (`FALSE`) indicating the command is not supported or a success code (`TRUE`) to indicate that pre-allocation is not necessary and the client should continue as though the operation were successful. Because of this, it may be best to reserve this function for servers which explicitly require preallocation.

## Parameters

ftp_stream

  The link identifier of the FTP connection.

filezise

  The number of bytes to allocate.

return

  A textual representation of the servers response will be returned by reference in result if a variable is provided.

## Return Values

成功回傳`TRUE`失敗回傳`FALSE`。

## 範例

範例 1. ftp_alloc() example

`<?php
$file = "/home/user/myfile";
/* connect to the server */
$conn_id = ftp_connect('ftp.example.com');
$login_result = ftp_login($conn_id, 'anonymous', 'user@example.com');
if (ftp_alloc($conn_id, filesize($file), $result)) {
echo "Space successfully allocated on server. Sending $file.\n";
ftp_put($conn_id, '/incomming/myfile', $file, FTP_BINARY);
} else {
echo "Unable to allocate space on server. Server said: $result\n";
}
ftp_close($conn_id);
?>`

## 參考

ftp_put()
ftp_fput()

前一頁 | 內容 | 下一頁
FTP Functions | 上一層 | ftp_cdup